LAT_CONNECT(8)

NAME
lat_connect - measure interprocess connection latency via TCP/IP

SYNOPSIS
lat_connect -s

lat_connect hostname

lat_connect -hostname

DESCRIPTION
lat_connect is a client/server program that measures interprocess connection latencies. The benchmark times the creation and connection of an AF_INET (aka TCP/IP) socket to a remote server. Care is take that the connection time does not include any other overhead, such as the gethostbyname() or remote port lookups since these add more overhead than the connection establishment itself.

lat_connect has three forms of usage: as a server (-s), as a client (lat_connect localhost), and as a shutdown (lat_connect -localhost).

OUTPUT
The reported time is in microseconds per connection. Output format is like so

TCP/IP connection cost to localhost: 1006 microseconds

SEE ALSO
lmbench(8), lat_unix_connect(8), socket(2), bind(2), listen(2), connect(2).